# gulp-format-md [![NPM version](https://img.shields.io/npm/v/gulp-format-md.svg?style=flat)](https://www.npmjs.com/package/gulp-format-md) [![NPM monthly downloads](https://img.shields.io/npm/dm/gulp-format-md.svg?style=flat)](https://npmjs.org/package/gulp-format-md) [![NPM total downloads](https://img.shields.io/npm/dt/gulp-format-md.svg?style=flat)](https://npmjs.org/package/gulp-format-md) [![Linux Build Status](https://img.shields.io/travis/jonschlinkert/gulp-format-md.svg?style=flat&label=Travis)](https://travis-ci.org/jonschlinkert/gulp-format-md)

> Gulp plugin for beautifying markdown using pretty-remarkable.

Please consider following this project's author, [Jon Schlinkert](https://github.com/jonschlinkert), and consider starring the project to show your :heart: and support.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save gulp-format-md
```

See [release notes](#release-notes).

## Usage

```js
const gulp = require('gulp');
const format = require('gulp-format-md');

gulp.task('format', () => {
  return gulp.src('README.md')
    .pipe(format())
    .pipe(gulp.dest('.'));
});
```

## Options

### newline

`gulp-format-md` ensures that files have a trailing newline by default. Pass `false` to disable this and strip trailing whitespace.

**type**: `boolean`

**default**: `true`

**example**

```js
gulp.task('format-md', () => {
  return gulp.src('readme.md')
    .pipe(format({ newline: false }))
    .pipe(gulp.dest('.'));
});
```

## Release Notes

### v2.0

**Removed**

CLI was removed in v2.0. We will be releasing a standalone CLI soon, please watch the project or follow [@jonschlinkert](https://github.com/jonschlinkert) for updates.

## About

<details>
<summary><strong>Contributing</strong></summary>

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

</details>

<details>
<summary><strong>Running Tests</strong></summary>

Running and reviewing unit tests is a great way to get familiarized with a library and its API. You can install dependencies and run tests with the following command:

```sh
$ npm install && npm test
```

</details>

<details>
<summary><strong>Building docs</strong></summary>

_(This project's readme.md is generated by [verb](https://github.com/verbose/verb-generate-readme), please don't edit the readme directly. Any changes to the readme must be made in the [.verb.md](.verb.md) readme template.)_

To generate the readme, run the following command:

```sh
$ npm install -g verbose/verb#dev verb-generate-readme && verb
```

</details>

### Related projects

You might also be interested in these projects:

* [markdown-toc](https://www.npmjs.com/package/markdown-toc): Generate a markdown TOC (table of contents) with Remarkable. | [homepage](https://github.com/jonschlinkert/markdown-toc "Generate a markdown TOC (table of contents) with Remarkable.")
* [pretty-remarkable](https://www.npmjs.com/package/pretty-remarkable): Plugin for prettifying markdown with Remarkable using custom renderer rules. | [homepage](https://github.com/jonschlinkert/pretty-remarkable "Plugin for prettifying markdown with Remarkable using custom renderer rules.")
* [remarkable](https://www.npmjs.com/package/remarkable): Markdown parser, done right. 100% Commonmark support, extensions, syntax plugins, high speed - all in… [more](https://github.com/jonschlinkert/remarkable) | [homepage](https://github.com/jonschlinkert/remarkable "Markdown parser, done right. 100% Commonmark support, extensions, syntax plugins, high speed - all in one.")

### Author

**Jon Schlinkert**

* [GitHub Profile](https://github.com/jonschlinkert)
* [Twitter Profile](https://twitter.com/jonschlinkert)
* [LinkedIn Profile](https://linkedin.com/in/jonschlinkert)

### License

Copyright © 2018, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT License](LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.8.0, on November 18, 2018._